org.eclipse.emf.cdo.expressions

## Interface MemberInvocation

- All Superinterfaces:
    CDOObject, CDOWithID, EObject, Expression, Invocation, Notifier
  All Known Implementing Classes:
    MemberInvocationImpl

      public interface MemberInvocation
      extends Invocation

  A representation of the model object 'Member Invocation'.

  The following features are supported:

  - `Object`
  See Also:
    `ExpressionsPackage.getMemberInvocation()`
  Generated
  Model

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Expression` | `getObject()` Returns the value of the 'Object' containment reference.
    `void` | `setObject(Expression value)` Sets the value of the '`Object`' containment reference.

    - ### Methods inherited from interface org.eclipse.emf.cdo.expressions.Invocation

      `getArguments, getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.cdo.expressions.Expression

      `evaluate`

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getObject

          Expression getObject()

      Returns the value of the 'Object' containment reference.

      If the meaning of the 'Object' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Object' containment reference.
      See Also:
        `setObject(Expression)`, `ExpressionsPackage.getMemberInvocation_Object()`
      Generated
      Model
        containment="true" required="true"

    - #### setObject

          void setObject(Expression value)

      Sets the value of the '`Object`' containment reference.
      Parameters:
        `value` - the new value of the 'Object' containment reference.
      See Also:
        `getObject()`
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html